This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 976536 - Have kernel audit listen in all network namespaces
Have kernel audit listen in all network namespaces
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Richard Guy Briggs
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-20 14:25 EDT by Eric Paris
Modified: 2014-04-29 10:09 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-04-29 10:09:57 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eric Paris 2013-06-20 14:25:58 EDT
The kernel audit code only creates a socket in the initial network namespace.  It should listen and accept data from any network namespace.
Comment 1 Richard Guy Briggs 2013-07-10 11:32:24 EDT
Started on it 2013-07-05.

eparis suggested starting with register_pernet_subsys().

a test case of:
- run clone() or unshare() with CLONE_NEWNET flag
- run: ip netns add TESTNET; ip netns exec TESTNET bash; auditctl -s
Comment 2 Richard Guy Briggs 2013-07-16 18:09:57 EDT
Posted patch upstream to linux-audit, lkml:
https://www.redhat.com/archives/linux-audit/2013-July/msg00027.html
https://lkml.org/lkml/2013/7/16/526
Comment 3 Fedora End Of Life 2013-09-16 12:44:12 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20

Note You need to log in before you can comment on or make changes to this bug.